% fig1.m  Run simulations and plot results for voltage
%         clamp step for the model of:
%
%            Bruce, I. C. (2009). "Evaluation of stochastic differential equation
%            approximation of ion channel gating models," Annals of Biomedical
%            Engineering 37(4):824838.
%
% Ian C. Bruce (ibruce@ieee.org)  2009

Na_max = 1e3;
K_max = 333;

trials = 1; % number of stimulus trials

Vh = 0;
Vc = 16;

hp = zeros(2,1);

figure;

[meanNa,stdNa,meanK,stdK,V,t]=VCstats('cw',Vh,Vc,trials,Na_max,K_max);

subplot(3,1,1)
hp(1) = plot(t,meanNa,'r');
hold on
xlim([0 2])
ylabel('N_{Na}(t)')

subplot(3,1,2)
plot(t,meanK,'r')
hold on
xlim([0 2])
ylabel('N_{K}(t)')

[meanNa,stdNa,meanK,stdK,V,t]=VCstats('fx',Vh,Vc,trials,Na_max,K_max);

subplot(3,1,1)
hp(2) = plot(t,meanNa,'b');

subplot(3,1,2)
plot(t,meanK,'b')

subplot(3,1,3)
plot(t,V,'k')
ylabel('V(t) (mV)')
xlabel('t (ms)')


subplot(3,1,1)
legend(hp,'Chow & White','Fox & Lu')
